<?php
include_once('c_docs_pdf.php') ;
class c_page_cab_docs_pdf_ecp	 extends c_page_cab_docs_pdf
{
 public $h1='ЭЦП документа' ;
 public $rec_doc=array();

 function _second_menu_config()
  { //if ($this->rec_doc['pkey']) $this->second_menu['/cab/mo/'.$this->rec_mo['pkey'].'/sign_doc/[doc_id='.$this->filter['doc_id'].']/']=$this->rec_doc['obj_name'].' - ПОДПИСЬ' ;
  }

  function block_main()
  {   $this->page_title() ;
      if ($this->rec_doc['sign_data']) echo 'Документ подписан ЭЦП, подписание выполнил '.ACCOUNTS()->get_member_name_by_id($this->rec_doc['member_id']).', '.date('d.m.Y H:i:s',$this->rec_doc['sign_data']) ;
      ?><h2>Информация по ЭЦП</h2><?
      $arr=unserialize($this->rec_doc['sign']) ;
      damp_array($arr,1,-1) ;

      ?><br><h2>Код подписи:</h2><a href="<?echo hide_server_dir($this->rec_doc['__doc_dir']).'.zip'?>" target="_blank">Cкачать подписанный документ</a><br><?
      $cont=file_get_contents($this->rec_doc['__doc_dir'].'.sig') ;

      ?><textarea style="margin:20px 0;width:100%;height:300px;font-family:Courier;"><? echo $cont ; ?></textarea><?

      //damp_array($this->rec_doc,1,-1) ;
  }
}



?>